package org.springblade.modules.appmenu.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springblade.modules.appmenu.entity.AppMenu;
import org.springblade.modules.appmenu.vo.AppMenuVO;

import java.util.Map;

/**
 *  服务类
 *
 * @author BladeX
 * @since 2022-11-21
 */
public interface IAppMenuService extends IService<AppMenu> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param appMenu
	 * @return
	 */
	IPage<AppMenuVO> selectAppMenuPage(IPage<AppMenuVO> page, AppMenuVO appMenu);

	Integer getQzgx(Map<String, Object> params);
}
