package org.springblade.modules.xlfk.pojo.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.core.mp.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import lombok.EqualsAndHashCode;

/**
 * 巡逻防控 实体类
 *
 * @author BladeX
 * @since 2024-11-06
 */
@Data
@TableName("xlfk")
@EqualsAndHashCode(callSuper = true)
public class XlfkEntity extends BaseEntity {

	/**
	 * 巡逻路线
	 */
	@ApiModelProperty(value = "巡逻路线")
	private String xllx;
	/**
	 * 巡逻里程数
	 */
	@ApiModelProperty(value = "巡逻里程数")
	private String xllcs;
	/**
	 * 巡逻开始时间
	 */
	@ApiModelProperty(value = "巡逻开始时间")
	private LocalDateTime startTime;
	/**
	 * 巡逻结束时间
	 */
	@ApiModelProperty(value = "巡逻结束时间")
	private LocalDateTime endTime;
	/**
	 * 巡逻照片
	 */
	@ApiModelProperty(value = "巡逻照片")
	private String zp;

}
